/**
 * Copyright (C) 1998 Stewart Allen (stewart@neuron.com)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

import java.util.*;

public class ConnectionManager
{
	static Hashtable conn = new Hashtable();
	static int next = 1;

	public synchronized static Connection newConnection()
	{
		int nId = next++;
		Connection nc = new Connection(nId);
		conn.put(new Integer(nId), nc);
		return nc;
	}

	public static Connection getConnection(int connId)
	{
		return (Connection)conn.get(new Integer(connId));
	}
}

