/**
 * Copyright (C) 1998 Stewart Allen (stewart@neuron.com)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

import java.net.*;

public class Endpoint
{
	InetAddress host;
	int port;

	public Endpoint(InetAddress host, int port)
	{
		this.host = host;
		this.port = port;
	}

	public Endpoint(String host, int port)
	{
		try {
			this.host = InetAddress.getByName(host);
		} catch (Exception e) { e.printStackTrace(); }
		this.port = port;
	}
}


