/**
 * Copyright (C) 1998 Stewart Allen (stewart@neuron.com)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

import java.util.*;

public class SystemManager
{
	static Hashtable sys = new Hashtable();

	public static void registerSystem(int sysId, RPC2_Server system)
	{
		if (getSystem(sysId) == null)
			sys.put(new Integer(sysId), system);
		else
			throw new RuntimeException("SystemID "+sysId+" already registered");
	}

	public static RPC2_Server getSystem(int sysId)
	{
		return (RPC2_Server)sys.get(new Integer(sysId));
	}
}

